org.apache.tinkerpop.gremlin.structure

## Class GraphConstructionTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.GraphConstructionTest

-     public class GraphConstructionTest
      extends AbstractGremlinTest

  Tests that support the creation of `Graph` instances which occurs via `GraphFactory`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphConstructionTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldConstructAnEmptyGraph()` Graphs should be empty on creation.
    `void` | `shouldMaintainOriginalConfigurationObjectGivenToFactory()` A `Graph` should maintain the original `Configuration` object passed to it via `GraphFactory`.
    `void` | `shouldOpenGraphThroughGraphFactoryViaApacheConfig()` All Gremlin Structure implementations should be constructable through `GraphFactory`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphConstructionTest

          public GraphConstructionTest()

  - ### Method Detail

    - #### shouldOpenGraphThroughGraphFactoryViaApacheConfig

          public void shouldOpenGraphThroughGraphFactoryViaApacheConfig()
                                                                 throws Exception

      All Gremlin Structure implementations should be constructable through `GraphFactory`.
      Throws:
        `Exception`

    - #### shouldConstructAnEmptyGraph

          public void shouldConstructAnEmptyGraph()

      Graphs should be empty on creation.

    - #### shouldMaintainOriginalConfigurationObjectGivenToFactory

          public void shouldMaintainOriginalConfigurationObjectGivenToFactory()
                                                                       throws Exception

      A `Graph` should maintain the original `Configuration` object passed to it via `GraphFactory`.
      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.